<?php
require_once 'core/system.php';
$header = 'Сохранение';
require_once 'core/head.php';
$rasa1=mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `rasa` = '1'"),0);

/*
header('Location: /index.php');
$_SESSION['err'] = 'Регистрация временно приостановлена';
exit();
*/
if(isset($_GET['inv'])){
$inv = mysql_fetch_assoc(mysql_query("SELECT id,nick from `user` where `id` = '".abs(intval($_GET['inv']))."'"));
if(!empty($inv['id'])){
echo '<center>Вы регистрируйтесь по приглашению игрока <b>'.$inv['nick'].'</b>!</center>';
}

}
switch($act) {
case 'post':
if(isset($_POST['nick']) && isset($_POST['pass']) && isset($_POST['pass2'])) {
$nick = check($_POST['nick']);
$pass = check($_POST['pass']);
$pass2 = check($_POST['pass2']);

/*
Не рекомендуется хранить пароли в базе в открытом виде. Их нужно шифровать. Для этого достаточно функции md5()
*/
if(strlen($nick) < 3 or strlen($nick) > 20) $err =  'Длина ника должна быть в пределах 3 - 20 символов';
if(strlen($pass) < 6 or strlen($pass) > 20) $err = 'Длина пароля должна быть в пределах 6 - 20 символов';
if(strlen($pass) != strlen($pass2)&$pass != $pass2) $err =  'Пароли не совпадают!';
/*
Проверяем длину ника и пароля с помощью функции strlen(). Она считает количество символов в том числе пробелы. 
*/
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `nick` = '$nick'"),0) == true) $err = 'Пользователь с таким ником уже существует, выбирете другой';
/*
С помощью запроса в базу проверяем есть ли уже такой ник или нет. 
Запрос может вернуть 2 значения
<strong> FALSE</strong> - отрицательный
*/
// запись
if(!isset($err)) {
/*
Проверяем есть ли ошибки при обработке. Если есть, пропускаем запись и выводим ошибку
*/

mysql_query("UPDATE `user` SET `gold` = `gold`+'500',`nick` = '$nick', `pass` = '$pass', `noreg` = '0' WHERE `id` = '".$user[id]."' LIMIT 1");

// Ставим куки на год
setcookie('nick', $nick, time()+86400*365, '/');
setcookie('pass', $pass, time()+86400*365, '/');
header('Location: /index.php');
$_SESSION['message'] = 'Сохранение успешно';
exit();
}else{
header('Location: /save.php');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: /save.php');
$_SESSION['err'] = 'Введите данные';
exit();
}
break;
default:
echo "<div class='player center blue'>Сохранись сейчас и получи подарок!</div>";
echo "<div class='mini-line'></div>";
echo '<form class="player" method="post" action="/save.php?act=post'.(!empty($inv['id'])?'&inv='.$inv['id']:null).'">
Введи желаемый ник:<br /><input class="text large" type="text" name="nick" /><br />
Введи пароль: <br /><input class="text large" type="password" name="pass" /><br />
Подтверди пароль: <br /><input class="text large" type="password" name="pass2" /><br />
';
echo'
<br />
<center><span class="btn"><span class="end"><input class="label" type="submit" value="Продолжить"></span></span></center>
</form>';
} 
require_once 'core/foot.php';
?>